Skip to content

Retrieve exchange rates

Get the coin prices and currency rates checkout quotes with.

Public. Each coin's price_usd is a decimal string in US dollars for one coin, or null while it has no price, and each currency's usd_rate is a number of US dollars.

Errors

Only the errors any request can return. See errors.

Request
curl "https://wallet.402pay.co/api/v1/exchange-rates"
Response200 OK
{
  "data": {
    "kind": "exchange_rates",
    "coins": {
      "USDC": {
        "price_usd": "1.00"
      },
      "USDT": {
        "price_usd": "1.00"
      },
      "BTC": {
        "price_usd": "98400.00"
      },
      "ETH": {
        "price_usd": "3620.00"
      },
      "SOL": {
        "price_usd": "184.00"
      },
      "LTC": {
        "price_usd": "112.00"
      },
      "TRX": {
        "price_usd": "0.32"
      }
    },
    "fiat": {
      "USD": {
        "usd_rate": 1
      },
      "EUR": {
        "usd_rate": 1.08
      },
      "GBP": {
        "usd_rate": 1.27
      },
      "CAD": {
        "usd_rate": 0.73
      },
      "AUD": {
        "usd_rate": 0.66
      }
    },
    "created_at": "2026-09-26T21:23:17.323Z"
  }
}